--- a/Makefile
+++ b/Makefile
@@ -181,10 +181,7 @@
 clean:
 	make -C unit clean
 	make -C $(EXTLIB_DIR) clean
-	rm -fr debian/.debhelper debian/tmp
-	rm -fr debian/libofonobinderpluginext debian/libofonobinderpluginext-dev
-	rm -f documentation.list debian/files debian/*.substvars
-	rm -f debian/*.debhelper.log debian/*.debhelper debian/*~
+	rm -f documentation.list
 	rm -f *~ $(SRC_DIR)/*~ rpm/*~
 	rm -fr $(BUILD_DIR)
 
